var express = require('express');
const db = require('../models');
var router = express.Router();
var lib = require('../lib');

/* POST a new message */
router.post('/add', async function(req, res, next) {
  var sessionId = req.cookies.sessionid;
  var user = await lib.getAuthUser(sessionId);
  if(user) {
    user.createMessage({ body: req.body.body });
    res.redirect('/');
  } else {
    res.redirect('/login');
  }
});

module.exports = router;
